Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512957 - [Regression] Diagnostics pagination pane is displayed in Settings
Summary: [Regression] Diagnostics pagination pane is displayed in Settings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Martin Hradil
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:configuration:diagnostics
Depends On:
Blocks: 1536062
TreeView+ depends on / blocked
 
Reported: 2017-11-14 14:01 UTC by Matouš Mojžíš
Modified: 2018-06-21 20:28 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1536062 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:28:24 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
pagination at top of gtl (deleted)
2017-11-14 17:46 UTC, Eric Winchell
no flags Details
pagination pane in settings page (deleted)
2017-11-14 17:51 UTC, Matouš Mojžíš
no flags Details

Description Matouš Mojžíš 2017-11-14 14:01:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.8

How reproducible:
Always

Steps to Reproduce:
1. Go to Configuration -> Diagnostics -> Workers
2. There is no pagination pane
3. Then go to Configuration -> Settings -> Server: EVM
4. You can see pagination pane from Workers page here

Actual results:


Expected results:


Additional info:

Comment 4 Eric Winchell 2017-11-14 17:46:45 UTC
Created attachment 1352089 [details]
pagination at top of gtl

Comment 5 Matouš Mojžíš 2017-11-14 17:50:46 UTC
Screenshot of Settings page after going from Workers page attached. See the pagination pane - has same number of items in item count as it is in Workers page.

Comment 6 Matouš Mojžíš 2017-11-14 17:51:24 UTC
Created attachment 1352090 [details]
pagination pane in settings page

Comment 12 CFME Bot 2018-01-18 10:03:57 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/69419c02ce2bcd596e5539ed0e42403e100df447

commit 69419c02ce2bcd596e5539ed0e42403e100df447
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Jan 17 15:15:29 2018 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Jan 17 15:16:54 2018 +0000

    gtl - miqGtlSetExtraClasses as a way to call setExtraClasses without a ReportController instance
    
    on screens without GTL, we may still need to clean the paging toolbar
    
    setExtraClasses (without params) does the right thing .. but assumes an instance
    
    created a function that runs it with a fake instance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1512957

 app/assets/javascripts/controllers/report_data_controller.js | 7 +++++++
 1 file changed, 7 insertions(+)

Comment 13 CFME Bot 2018-01-18 10:04:05 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/fe9921dcf0c0ff5badead03103b4df1c5f0f63b7

commit fe9921dcf0c0ff5badead03103b4df1c5f0f63b7
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Jan 17 15:20:35 2018 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Jan 17 15:39:50 2018 +0000

    OpsController#handle_bottom_cell - use remove_paging instead of hide(:pc_div_1)
    
    pc_div_#(number) used to be a div under paging_div but above the pagination code
    this was removed with the GTL refactor
    
    thus, attempts to show/hide pc_div_1 are dead code, but indicate that those were the places where paging was being hidden
    
    replaced by explicit remove_paging
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1512957

 app/controllers/ops_controller.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.